<?php
include "scrinit.php";
include "logo.php";
?>

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

<script type="text/javascript" src="http://code.jquery.com/jquery-1.9.1.min.js">
</script>
<style type="text/css">
input.right{  text-align:right;  }
table.myTable { border-collapse:collapse; }
table.myTable td, table.myTable th { border:1px solid black;padding:2px;font-size:10pt; }
</style>
</script>

</head>

<body>
<h3> ΑΠΟΥΣΙΕΣ ΤΜΗΜΑΤΟΣ </h3>

<?php
require "dbconnect.php"; 
$usr=$_SESSION['usr'];
$yt=0;
$sql = mysqli_query($con,"SELECT * from voithos where yt='$usr'");
if (mysqli_num_rows($sql) > 0)
{
  $yt=1;
  $row=mysqli_fetch_array($sql);
  $tmima= $row['Class_id'];
}
else
{
 
$sql2 = mysqli_query($con,"SELECT DISTINCT tmima FROM allstudentinfo ORDER BY tmima ASC");
  
?>
<form  method='post'> 
  <label>Επέλεξε Τμήμα:</label>
  <select name='tmimaid' >
  <?php
  echo "<option value='---'>select</option>";
  while($row2 = mysqli_fetch_array($sql2) ) {
          echo "<option value='$row2[tmima]'>$row2[tmima]</option>";
      }
      ?>
 </select>
<input type="submit" name="submit1" value="Επιβεβαίωση Επιλογής" >
</form>
<?php
}
if (isset($_POST['submit1']) or $yt==1)
{
	if ($yt==0){$tmima=$_POST['tmimaid'];}
echo '<p style="color: blue; text-align: left; font-weight: bold;"> ΑΝΑΛΥΤΙΚΗ ΚΑΤΑΣΤΑΣΗ ΑΠΟΥΣΙΩΝ ΤΜΗΜΑΤΟΣ  </p>';
echo "ΤΜΗΜΑ:".$tmima."<br>";
$sql1 = "SELECT a.*,al.* FROM apousiesabakio as a,allstudentinfo as al WHERE a.mitroo=al.mitroo and al.tmima='$tmima' order by al.eponimo,al.onoma" ;
if (!mysqli_query($con,$sql1)) {die('Error: ' . mysqli_error($con));   }
$res1=mysqli_query($con,$sql1);
$row = mysqli_fetch_array($res1);
$datex=$row['datexar'];
$dat=date('d-m-Y',strtotime($datex));
if ($datex > '0000-00-00'  or !empty($row))
{
$mdat="Οι απουσίες έχουν χαρακτηριστεί μέχρι:".$dat;
}
else
{	
$mdat="Οι απουσίες δεν έχουν χαρακτηριστεί";
}
$sqlt = $dbcon->prepare("SELECT mitroo,onoma,eponimo FROM allstudentinfo WHERE tmima=? ");
$sqlt->execute([$tmima]);
$ct=$sqlt->rowCount();

while($rowt=$sqlt->fetch(PDO::FETCH_ASSOC))
{
	$tm=$rowt['mitroo'];
	$sql = $dbcon->prepare("SELECT mitroo FROM apousiesabakio WHERE mitroo=? ");
	$sql->execute([$tm]);
	if ($sql->rowCount() == 0)
	{
		mysqli_query($con,"insert into apousiesabakio (mitroo,apousiestotal,apousiesatotal,apousiesbtotal,apouapovoles,datexar)
		                   values('$tm',0,0,0,0,'$datex')");
	}  
}

$i=0;

	
echo "<font face='arial' size='4pt' color='#ff0000'> $mdat </font> "; 
echo "<table style='width:900px' class='myTable' >
<tr style='border:1px solid black;font-size:9px' bgcolor='#d6ff73'   >
<th>Α/Α</th>
<th>ΜΗΤΡΩΟ </th>
<th>ΜΑΘΗΤΗΣ/ΤΡΙΑ </th>
<th>ΣΥΝΟΛΟ </th>
<th>A' ΤΕΤΡΑΜΗΝΟ</th>
<th>Β' ΤΕΤΡΑΜΗΝΟ</th>
<th>ΑΠΟΒΟΛΕΣ</th>
</tr>";	
$sql1 = "SELECT a.*,al.* FROM apousiesabakio as a,allstudentinfo as al WHERE a.mitroo=al.mitroo and al.tmima='$tmima' order by al.eponimo,al.onoma" ;
if (!mysqli_query($con,$sql1)) {die('Error: ' . mysqli_error($con));   }
$res1=mysqli_query($con,$sql1);
$i=1;
while($row1 = mysqli_fetch_array($res1))
{
	$m=$row1['mitroo'];
	$total=$row1['apousiestotal'];
	$btotal=$row1['apousiesbtotal'];

	echo "<tr>";
	echo "<td>" .$i. "</td>";
	echo "<td>" .$m . "</td>";
	echo "<td>" .$row1['eponimo']." ".$row1['onoma']."</td>";

	if ($total > 135)
	{
		echo "<td bgcolor='#FF0000'>" .$total."</td>";
	}
	elseif ($total >=121) 
	{
		echo "<td bgcolor='#ffff00'>" .$total."</td>";
	}
	else 
	{
		echo "<td>" .$total . "</td>";
	}

	echo "<td >" .$row1['apousiesatotal']."</td>";

	if ($btotal > 67)
	{
		echo "<td bgcolor='#FF0000'>" .$btotal."</td>";
	}
		elseif ($btotal > 60) 
	{
		echo "<td bgcolor='#ffff00'>" .$btotal."</td>";
	}
	else
	{
	    echo "<td>" .$btotal . "</td>";	
	}

	echo "<td>" . $row1['apouapovoles']. "</td>";

	echo "</tr>"; 
	$i++;
}
echo "</table>";
echo "<br>";

echo "<table style='width:800px' class='myTable' >
<tr style='border:1px solid black;font-size:12px' bgcolor='#d6ff73'   >
<th><b>ΝΕΟΣ ΚΑΝΟΝΙΣΜΟΣ ΓΙΑ ΑΠΟΥΣΙΕΣ</b></th>
</tr>";
?>
<tr><td><b><br>
<font face='arial' size='4pt' color='#ff0000'>
Η απουσία  από μάθημα, εκδήλωση, εκκλησιασμό, αναπλήρωση ή άλλη σχολική δραστηριότητα
προσμετρείται  στο σύνολο των απουσιών του μαθητή. Η μη αιτιολόγηση απουσίας εντός 5 ημερών
αποτελεί Πειθαρχικό παράπτωμα</font> <br>
<br>
Παραπομπή: Μαθητής παραπέμπεται σε ανεξέταση τον Ιούνιο όταν:<br>
(α)  συγκεντρώσει αριθμό απουσιών μεταξύ 121 και 134 συμπεριλαμβανομένων ή  
     αν για το Β΄ τετράμηνο συγκεντρώσει αριθμό απουσιών από 60 μέχρι 67 συμπεριλαμβανομένων.<br>
(β)  σε μάθημα συγκεντρώσει αριθμό απουσιών μεγαλύτερο από το εφταπλάσιο των εβδομαδιαίων
     περιόδων διδασκαλίας του μαθήματος παραπέμπεται σε ανεξέταση στο μάθημα αυτό μόνο γραπτά,
	 με βαθμό προαγωγής το 10/20.<br>
<br>
Στασιμότητα: Μαθητής παραμένει στάσιμος όταν:<br>
(α)  συγκεντρώνει αριθμό απουσιών 135 ή μεγαλύτερο  ή αν  κατά το Β΄ τετράμηνο συγκεντρώσει
     αριθμό απουσιών ίσο ή μεγαλύτερο του 68<br>
(β)  συγκεντρώσει αριθμό απουσιών που υπερβαίνει το 20% των περιόδων της ενισχιτικής διδασκαλίας
</b></td></tr><br>
<?php
echo "</table>";
}
?>
<br><br>
<a  href=<?php echo $menu;?> style="color:blue "  > <button> Επιστροφή στο Μενού   </a>

</body>
</html>